Bug 200084 - Reorder Windows after a windows has been closed in Present Windows
Summary: Reorder Windows after a windows has been closed in Present Windows
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: compositing (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: LO normal (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-13 21:48 UTC by Tobias
Modified: 2009-09-16 13:24 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias 2009-07-13 21:48:34 UTC
Version:            (using Devel)
OS:                Linux
Installed from:    Compiled sources

Hi,

it is great that there are configurable actions for mouse buttons in Present Windows now and that it is possible to close windows directly in Present Windows.

However, it would be even better, if the other windows would reorder once one window has been closed. Again, to see what I mean, just use the "Scale" plugin of Compiz where it already works like this today.

Thanks for the great work!
Comment 1 Martin Flöser 2009-07-14 00:01:40 UTC
That actually works when you disable the fade effect. That it doesn't work when fade is enabled is definately a bug, so I change to bug. And I don't understand it :-(
Comment 2 Martin Flöser 2009-07-14 11:06:38 UTC
SVN commit 996370 by graesslin:

Add fadeout to closed windows in present windows effect. During fadeout other windows are moved to a better possible position.
BUG: 200084

 M  +37 -7     presentwindows.cpp  
 M  +2 -0      presentwindows.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=996370
Comment 3 Jacopo De Simoi 2009-09-16 13:24:11 UTC
SVN commit 1024317 by jacopods:

backport r996370: rearrange windows if a window is closed even when fade effect is enabled 
CCBUG:200084


 M  +37 -7     presentwindows.cpp  
 M  +2 -0      presentwindows.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1024317